Bug 639284 - Review Request: erlang-neotoma - Erlang library and packrat parser-generator for parsing expression grammars
Review Request: erlang-neotoma - Erlang library and packrat parser-generator ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Niemueller
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 639263
  Show dependency treegraph
 
Reported: 2010-10-01 07:35 EDT by Peter Lemenkov
Modified: 2010-11-16 12:30 EST (History)
3 users (show)

See Also:
Fixed In Version: erlang-neotoma-1.4-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-08 17:40:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tim: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2010-10-01 07:35:50 EDT
Spec URL: http://peter.fedorapeople.org/erlang-neotoma.spec
SRPM URL: http://peter.fedorapeople.org/erlang-neotoma-1.4-1.fc12.src.rpm
Description: Erlang library and packrat parser-generator for parsing expression grammars.

This is one of the requirements for erlang-rebar.

rpmlint output:
Sulaco ~/rpmbuild/SRPMS: rpmlint ../RPMS/ppc/erlang-neotoma-1.4-1.fc12.ppc.rpm 
koji erlang-neotoma.ppc: W: spelling-error Summary(en_US) packrat -> pack rat, pack-rat, Packard
erlang-neotoma.ppc: W: spelling-error %description -l en_US packrat -> pack rat, pack-rat, Packard
scratch erlang-neotoma.ppc: E: no-binary
erlang-neotoma.ppc: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
Sulaco ~/rpmbuild/SRPMS:

All these messages should be ignored - those, regarding grammar, are false positive, and the rest (no-binary and only-non-binary-in-usr-lib) are due to fact that arch-independent library is being installed into arch-dependent directory.

Koji scratch build for F-14:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2505939
Comment 1 Tim Niemueller 2010-10-27 18:58:56 EDT
I'll review this.
Comment 3 Tim Niemueller 2010-10-28 23:19:23 EDT
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is not silent, but the only its message is a false positive:
  - Additionally I get: erlang-neotoma.src: W: invalid-url Source0: seancribbs-neotoma-1.4-0-g04f82c0.tar.gz
   I suggest appending writing the URL given in the comment in the front, github will still deliver the right package. This is not required though.
  - only-non-binary-in-usr-lib: general Erlang packaging problem which cannot
be avoided in the package

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format
%{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the
Licensing Guidelines.
+ The License field in the package spec file matches the actual license (MIT).
+ The file, containing the text of the license(s) for the package, is included
in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided
in the spec URL.

downloaded# # sha256sum Downloads/seancribbs-neotoma-1.4-0-g04f82c0.tar.gz 
560472c1f722282a74b4f1d78f3c92a1f40060373b300c610a005c8c5c5133f1  Downloads/seancribbs-neotoma-1.4-0-g04f82c0.tar.gz
package# # sha256sum /home/tim/rpmbuild/SOURCES/seancribbs-neotoma-1.4-0-g04f82c0.tar.gz
560472c1f722282a74b4f1d78f3c92a1f40060373b300c610a005c8c5c5133f1  seancribbs-neotoma-1.4-0-g04f82c0.tar.gz

+ The package successfully compiles and builds into binary rpms on at least one
primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files
listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
+ No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the
application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other
packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

Looks all good to me. Nice job.

APPROVED.
Comment 4 Peter Lemenkov 2010-10-29 01:32:04 EDT
New Package SCM Request
=======================
Package Name: erlang-neotoma
Short Description: Erlang library and packrat parser-generator for parsing expression grammars
Owners: peter
Branches: f12 f13 f14 el5 el6
InitialCC:
Comment 5 Kevin Fenzi 2010-10-30 19:22:19 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2010-10-31 01:09:02 EDT
erlang-neotoma-1.4-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/erlang-neotoma-1.4-2.fc12
Comment 7 Fedora Update System 2010-10-31 01:09:09 EDT
erlang-neotoma-1.4-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/erlang-neotoma-1.4-2.fc13
Comment 8 Fedora Update System 2010-10-31 01:09:16 EDT
erlang-neotoma-1.4-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/erlang-neotoma-1.4-2.el5
Comment 9 Fedora Update System 2010-10-31 01:09:23 EDT
erlang-neotoma-1.4-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/erlang-neotoma-1.4-2.fc14
Comment 10 Fedora Update System 2010-10-31 17:30:06 EDT
erlang-neotoma-1.4-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-neotoma'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/erlang-neotoma-1.4-2.fc13
Comment 11 Fedora Update System 2010-11-08 17:40:22 EST
erlang-neotoma-1.4-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-11-08 17:40:43 EST
erlang-neotoma-1.4-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-11-08 17:45:51 EST
erlang-neotoma-1.4-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-11-16 12:30:34 EST
erlang-neotoma-1.4-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.